
TYPO3.Comments - Bug # 34641

Status: Resolved Priority: Should have
Author: Adrian Föder Category:
Created: 2012-03-07 Assigned To: Adrian Föder
Updated: 2012-05-04 Due date:
Subject: Comment's message should be > 255 chars
Description

Currently the property message is not specially annotated and therefore limited to a max length of 255; which should, for a message,
clearly be more.

Associated revisions
Revision 48d284f6 - 2012-05-04 09:46 - Adrian Föder

[BUGFIX] Allows message length to be > 255 chars

This patch corrects the allowed message length to be
over 255 chars.

Change-Id: Ie0b91fd7ec0d88e967dd1cddd5c05d485f51975f
Fixes: #34641

History
#1 - 2012-03-07 14:55 - Bastian Waidelich

Good catch. The missing annotation is:

1@ORM\Column(type="text")

#2 - 2012-03-08 11:32 - Bastian Waidelich
- Status changed from New to Accepted

#3 - 2012-03-14 09:03 - Adrian Föder
- Assigned To set to Adrian Föder

#4 - 2012-03-14 09:09 - Adrian Föder

Bastian, could you please, taking this opportunity, explain me how to handle that migration file stuff? This change would result in a new Migration set,
right? How do I create such one?

Thanks!
adrian

#5 - 2012-03-14 10:24 - Bastian Waidelich
Adrian Föder wrote:

Bastian, could you please, taking this opportunity, explain me how to handle that migration
file stuff? This change would result in a new Migration set, right? How do I create such one?

Hi,
it's mostly described here: http://flow3.typo3.org/documentation/guide/partiii/persistence.html#schema-management

    -  Adjust the model until everything is correct
    -  Execute ./flow3 doctrine:migrationgenerate
    -  Move the created file from Data/Migrations to Your.Package/Migrations/Mysql
    -  Do manual adjustments to the migration, if necessary

#6 - 2012-03-14 13:50 - Adrian Föder
- Tracker changed from Task to Bug

#7 - 2012-03-14 13:58 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9645

#8 - 2012-03-14 13:58 - Adrian Föder
- Status changed from Accepted to Under Review
- % Done changed from 0 to 60

#9 - 2012-03-14 18:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9645

#10 - 2012-05-04 09:47 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9645

#11 - 2012-05-04 14:30 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 60 to 100

Applied in changeset commit:48d284f6ce05a30d76d257fbe1173a16690ff45e.

2015-08-03 2/2

http://flow3.typo3.org/documentation/guide/partiii/persistence.html#schema-management
http://review.typo3.org/9645
http://review.typo3.org/9645
http://review.typo3.org/9645

